Bug 214528 - x11/kf5-frameworks: Multiple conflicts
Summary: x11/kf5-frameworks: Multiple conflicts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: kde
URL: https://reviews.freebsd.org/D8776
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-11-15 10:31 UTC by Anatoly
Modified: 2017-03-02 18:23 UTC (History)
4 users (show)

See Also:
tcberner: maintainer-feedback+
tcberner: merge-quarterly-


Attachments
deconflict kdelibs4 and kf5-kservice (5.02 KB, patch)
2016-11-16 03:23 UTC, Matthew Rezny
no flags Details | Diff
deconflict kf5-kdelibs4support and kdelibs4 (2.19 KB, patch)
2016-11-16 13:06 UTC, Matthew Rezny
no flags Details | Diff
deconflict gpgme-qt5 and kdepimlibs4 (845 bytes, patch)
2016-11-16 17:24 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly 2016-11-15 10:31:22 UTC
# uname -a
FreeBSD ankor 11.0-RELEASE-p1 FreeBSD 11.0-RELEASE-p1 #0 r306420: Thu Sep 29 01:43:23 UTC 2016     root@releng2.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

ankor@ankor:/usr/ports/x11/kf5-frameworks# make install clean
 
===> Installing for kf5-kservice-5.27.0
===> Checking if kf5-kservice already installed
===> Registering installation for kf5-kservice-5.27.0 as automatic
Installing kf5-kservice-5.27.0...
pkg-static: kf5-kservice-5.27.0 conflicts with kdelibs-4.14.10_7 (installs files into the same place). Problematic file: /usr/local/etc/xdg/menus/applications.menu
*** Error code 70

Checking if kf5-kfilemetadata already installed
===> Registering installation for kf5-kfilemetadata-5.27.0 as automatic
Installing kf5-kfilemetadata-5.27.0...
pkg-static: kf5-kfilemetadata-5.27.0 conflicts with ru-kde-l10n-4.14.3 (installs files into the same place). Problematic file: /usr/local/share/locale/ru/LC_MESSAGES/kfilemetadata.mo
*** Error code 70
 
===> Registering installation for kf5-baloo-5.27.0 as automatic
Installing kf5-baloo-5.27.0...
pkg-static: kf5-baloo-5.27.0 conflicts with baloo-4.14.3_2 (installs files into the same place). Problematic file: /usr/local/bin/baloo_file
*** Error code 70

Installing kf5-kdelibs4support-5.27.0...
pkg-static: kf5-kdelibs4support-5.27.0 conflicts with kde-runtime-4.14.3_3 (installs files into the same place).  Problematic file: /usr/local/share/doc/HTML/en/kcontrol/kcm_ssl/details.png
*** Error code 70

kf5-frameworks killer KDE4
Comment 1 Tobias C. Berner freebsd_committer 2016-11-15 17:22:24 UTC
Hi there

Sorry about that. 


The first one is a patch we missed to import into x11/kdelibs4, that renames said file. 

The other ones we have to add INSTALL_CONFLICT's for, unfortunately.

I will correct this as soon as possible.
 


As far as "kill KDE4".. that's the plan ;)
Comment 2 Anatoly 2016-11-15 19:16:59 UTC
(In reply to Tobias C. Berner from comment #1)
Good.
kf5-framevorks installed without problems, killing KDE4
The forum will www.bsdportal.ru ask when KDE plasma5?
Comment 3 Tobias C. Berner freebsd_committer 2016-11-15 20:06:34 UTC
I cannot give you a time estimate on when we will get plasma5 into the ports tree -- as we need for example the wayland port [1] for the screenlocker [2], which has not yet been pushed into ports.

Howewer, KDE Plasma-5.8.3 and Applications-16.08.3 can be tested from the testing repo [3].



mfg Tobias

[1] https://github.com/freebsd/freebsd-ports-graphics/tree/wayland/x11
[2] https://blog.martin-graesslin.com/blog/2015/01/why-screen-lockers-on-x11-cannot-be-secure/
[3] http://area51.pcbsd.org/branches/plasma5
Comment 4 Matthew Rezny freebsd_committer 2016-11-16 03:23:38 UTC
Created attachment 177046 [details]
deconflict kdelibs4 and kf5-kservice

This patch is based on the aforementioned forgotten patch. It patches both kdelibs4 and kf5-kservice to use unique names for application.menu, prefixed with kde4- and kf5- respectively. Also, add missing USES=ssl to kdelibs4 while here.

Since it was previously stated that KF5 should be able to co-exist with KDE4, I will look into resolving the other conflicts. Considering removal of KDE4 is inappropriate given there is no real replacement. KDE5 does not exist, yet...
Comment 5 Matthew Rezny freebsd_committer 2016-11-16 13:06:44 UTC
Created attachment 177074 [details]
deconflict kf5-kdelibs4support and kdelibs4

kf5-kdelibs4support installs a small subset of the documentation provided by kdelibs4. As there are only two pieces of docs, and one is already suffixed with '5', simply suffix the other with '5' to remove the conflict.
Comment 6 Matthew Rezny freebsd_committer 2016-11-16 13:21:56 UTC
I believe these two patches resolve the meaningful conflicts in terms of which will be installed in tandem to support KF5 apps on a KDE4 desktop.

The conflict in oxygen-icons is unimportant, both provide the exact same set of files, so the only issue is lack of a provides mechanism to allow either installed port/pkg to satisfy dependencies.

The conflict in baloo is difficult to resolve because the conflicting filename is hard-coded in multiple places. Since nothing other than PIM needs baloo to function, and it is not expected to have kdepim4 and kdepim5 co-installable, the baloo conflict should not matter as only one baloo is ever needed.

The conflict in kf5-kfilemetadta is only in optional NLS stuff which I never use, so that remains if anyone else would like to keep some non-English.
Comment 7 Matthew Rezny freebsd_committer 2016-11-16 17:24:47 UTC
Created attachment 177082 [details]
deconflict gpgme-qt5 and kdepimlibs4

Almost forgotten, since it's not a kf5 port but a dependency of a kf5 port, gpgme-qt5 is conflicting with kdepimlibs4 on the bare .so symlink. I checked the binaries in all ports that depends on kdepimlibs4 to confirm they link libqgpgme.so.1 specifcally, so it should be no problem to remove the bare .so symlink to clear the way for gpgme-qt5 (which should not really need that symlink either).
Comment 8 Jason E. Hale freebsd_committer 2016-11-27 20:09:58 UTC
Comment on attachment 177082 [details]
deconflict gpgme-qt5 and kdepimlibs4

The conflict between deskutils/kdepimlibs4 and security/gpgme-qt5 was resolved in r426897.
Comment 9 Tobias C. Berner freebsd_committer 2016-12-11 10:42:47 UTC
The conflict betwen the kcontrol files has been fixed upstream, and will therefore resolve itselve with the update to Frameworks 5.29 soon.

I think I will only move the kf5 applications.menu file as to not unnecessarily touch too many kde4 ports. This will also come with the 5.29 update.
Comment 10 commit-hook freebsd_committer 2016-12-19 15:56:47 UTC
A commit references this bug:

Author: tcberner
Date: Mon Dec 19 15:56:32 UTC 2016
New revision: 428946
URL: https://svnweb.freebsd.org/changeset/ports/428946

Log:
  Update KDE Frameworks to 5.29.0

  Release notes: https://www.kde.org/announcements/kde-frameworks-5.29.0.php

  New ports:
  * textproc/kf5-syntax-highlighting (new in 5.28.0)
  * graphics/kf5-prison (new in 5.29.0)

  Fixes:
  * kf5-kservice: Move applications.menu to kf5-applications.menu to stop conflicting with kdelibs4.
  * Define conflicts in the kde4-l10n ports (debian does the same).
  * kf5-kapidox: Fix with python3

  Thanks to Matthew Rezny <matthew@reztek.cz> for looking at the conflicts in 214528,
  and Dima Panov (fluffy@) for the python3 fix.

  PR:     214528
  Reviewed by:    rakuco, mat
  Approved by:    rakuco (mentor)
  Differential Revision:  https://reviews.freebsd.org/D8776

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/Makefile
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kapidox/pkg-plist
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kdoctools/pkg-plist
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-kidletime/Makefile
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/Makefile
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knewstuff/pkg-plist
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/Makefile
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kpackage/pkg-plist
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kpty/files/
  head/devel/kf5-kservice/Makefile
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-kservice/pkg-plist
  head/devel/kf5-ktexteditor/Makefile
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-ktexteditor/pkg-plist
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/Makefile
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/distinfo
  head/graphics/Makefile
  head/graphics/kf5-kimageformats/Makefile
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kimageformats/pkg-plist
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-prison/
  head/graphics/kf5-prison/Makefile
  head/graphics/kf5-prison/distinfo
  head/graphics/kf5-prison/pkg-descr
  head/graphics/kf5-prison/pkg-plist
  head/lang/kf5-kross/distinfo
  head/lang/kf5-kross/pkg-plist
  head/misc/kde4-l10n/files/bsd.l10n.mk
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/baloo/Makefile
  head/sysutils/kf5-baloo/Makefile
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/kf5-kwallet/distinfo
  head/sysutils/kf5-kwallet/files/
  head/textproc/Makefile
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/Makefile
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-sonnet/files/
  head/textproc/kf5-syntax-highlighting/
  head/textproc/kf5-syntax-highlighting/Makefile
  head/textproc/kf5-syntax-highlighting/distinfo
  head/textproc/kf5-syntax-highlighting/files/
  head/textproc/kf5-syntax-highlighting/files/patch-src_cli_kate-syntax-highlighter.cpp
  head/textproc/kf5-syntax-highlighting/pkg-descr
  head/textproc/kf5-syntax-highlighting/pkg-plist
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjs/pkg-plist
  head/www/kf5-kjsembed/distinfo
  head/www/kf5-kjsembed/pkg-plist
  head/x11/kf5-frameworkintegration/Makefile
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kdelibs4support/Makefile
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kdelibs4support/files/
  head/x11/kf5-kdelibs4support/pkg-plist
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-kinit/pkg-plist
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11/kf5-plasma-framework/pkg-plist
  head/x11-themes/kde4-icons-oxygen/Makefile
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-kiconthemes/files/
  head/x11-themes/kf5-oxygen-icons5/Makefile
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-themes/kf5-oxygen-icons5/pkg-plist
  head/x11-toolkits/kf5-attica/Makefile
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/pkg-plist
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kxmlgui/distinfo
  head/x11-toolkits/kirigami/distinfo
Comment 11 Tobias C. Berner freebsd_committer 2017-03-02 18:23:48 UTC
Forgot to close this.